New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Error on using sass beautify #53

Closed
pratik60 opened this Issue Jul 25, 2014 · 7 comments

Comments

Projects
None yet
3 participants
@pratik60

pratik60 commented Jul 25, 2014

There was an error beautifying your Sass:

/Users/pratikbothra/.rvm/rubies/ruby-2.1.1/lib/ruby/2.1.0/rubygems/dependency.rb:298:in to_specs': Could not find 'sass' (>= 0) among 14 total gem(s) (Gem::LoadError) from /Users/pratikbothra/.rvm/rubies/ruby-2.1.1/lib/ruby/2.1.0/rubygems/dependency.rb:309:into_spec' .......

I have updated to the latest sass version, and used the path as mentioned in the readme echo $path (Yes, I've read the README (multiple times))

carpe-diem (mentions) λ sass --version
Sass 3.3.10 (Maptastic Maple)
carpe-diem (mentions) λ sass-convert --version
Sass 3.3.10 (Maptastic Maple)

Any suggestions on where I could have gone wrong? I don't think Sass is installed incorrectly, as the sass files build correctly. Certain the error is due to RVM, and path issues because it works perfectly on my friend's laptop.

{
  "indent": 2,
  "dasherize": false,
  "old": false,
  "path": "/Users/pratikbothra/.rvm/gems/ruby-2.1.1/bin:/Users/pratikbothra/.rvm/gems/ruby-2.1.1@global/bin:/Users/pratikbothra/.rvm/rubies/ruby-2.1.1/bin:/Users/pratikbothra/.nvm/v0.10.29/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/Users/pratikbothra/bin:/usr/local/Cellar/sbt/0.12.0/bin:/Users/pratikbothra/pear/bin:/Users/pratikbothra/.rvm/bin",
  "beautifyOnSave": true
}

Any suggestions are welcome?

@pratik60

This comment has been minimized.

pratik60 commented Jul 31, 2014

It happened with a friend on linux as well. She just started installed rvm yesterday.

@pratik60

This comment has been minimized.

pratik60 commented Jul 31, 2014

@badsyntax - Well, I may be onto something. Its not working with the latest version of sass. (3.3.12 Maptastic Marple)

When we were on some release candidate version of sass, purely by mistake, it was indeed working. Does this help you at all?

@badsyntax

This comment has been minimized.

Owner

badsyntax commented Jul 31, 2014

@pratik60 i'll test with the latest version and let you what i discover.

@pratik60

This comment has been minimized.

pratik60 commented Aug 10, 2014

@badsyntax - Any updates?

@kemallette

This comment has been minimized.

kemallette commented Aug 28, 2014

I'm getting the same error with a similar setup except I'm using Ruby 2.1.2 have the latest sass. sass -v returns Sass 3.4.1 (Selective Steve). This is unfortunate -- I've used this plugin for quite awhile and really enjoyed it. :(

If I can help in any way, please let me know.

EDIT: Found a fix for those using rvm and zsh. Follow the instructions provided on the readme to add your path to the plugin's settings. Then, open up your terminal and ensure you've selected a ruby version (rvm use 2.1.2 is what I used) and that the sass gem is installed (run gem install sass). Then launch sublime from the same terminal (new tab is fine). If you're on Ubuntu 14.04LTS the path to the sublime directory should be /opt/sublime_text. Navigate to that directory, cd /opt/sublime_text, and then launch sublime (./sublime_text). That will launch sublime within the right profile/path.

badsyntax added a commit that referenced this issue Nov 25, 2014

@badsyntax

This comment has been minimized.

Owner

badsyntax commented Nov 25, 2014

@kemallette that's a neat trick!

I think I've found a fix for this. I've added a new setting which accepts a custom GEM_PATH, which appears to fix these rvm issues.

Check the latest README for instructions. Give it a little while and you should be able to update through the package manager (make sure you're using v1.4.1).

Let me know if you still have issues!

@badsyntax badsyntax closed this Nov 26, 2014

@pratik60

This comment has been minimized.

pratik60 commented Nov 26, 2014

@badsyntax - Awesome. Thank you so much!

Going to shamelessly promote this in office, and get it installed on all their laptops. Thanks once again :-)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment